#!/bin/sh

EchoAndFlush "Extracting files...";
tar -xzf bundle.tar.gz -C/
if [ "$?" -eq '0' ]; then 
   EchoAndFlush "  Success";
else
   EchoAndFlush "  Failed";
   exit 1;
fi

EchoAndFlush "Programming front panel...";
isp -d 1 -f /var/cinepro/bin/cinepro_fp.bin > /dev/null
if [ "$?" -eq '0' ]; then 
   EchoAndFlush "  Success";
else
   EchoAndFlush "  Failed";
   exit 1;
fi

EchoAndFlush "Programming device 2...";
isp -d 2 -f /var/cinepro/bin/cinepro_hdcp.bin > /dev/null
if [ "$?" -eq '0' ]; then 
   EchoAndFlush "  Success";
else
   EchoAndFlush "  Failed";
   exit 1;
fi

echo Script Status: GOOD >> /tmp/upgrade.log
exit 0;   

